﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AngularJS_AntiForgery_MVC_Core.Model;
using Microsoft.AspNetCore.Mvc;

using System.Net;
using System.Net.Http;
using Newtonsoft.Json;

namespace AngularJS_AntiForgery_MVC_Core
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult AjaxMethod([FromBody] PersonModel person)
        {
            person.DateTime = DateTime.Now.ToString();
            return Json(person);
        }
    }
}